Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.search
Class FilteringContentHandler.FilterVisitor

    java.lang.Object
      org.biojava.bio.search.FilteringContentHandler.FilterVisitor

All Implemented Interfaces:
  Visitor

Enclosing class:
  FilteringContentHandler

    public class FilteringContentHandler.FilterVisitor

extends Object
implements Visitor

Visitor class that parses the filter tree

Constructor Summary
`FilteringContentHandler.FilterVisitor()`

Method Summary
`void` | `byHitProperty(BlastLikeSearchFilter.ByHitProperty sf)`
`void` | `bySearchProperty(BlastLikeSearchFilter.BySearchProperty sf)`
`void` | `bySubHitProperty(BlastLikeSearchFilter.BySubHitProperty sf)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilteringContentHandler.FilterVisitor

    public FilteringContentHandler.FilterVisitor()

Method Detail

### bySearchProperty

    public void bySearchProperty(BlastLikeSearchFilter.BySearchProperty sf)

### byHitProperty

    public void byHitProperty(BlastLikeSearchFilter.ByHitProperty sf)

### bySubHitProperty

    public void bySubHitProperty(BlastLikeSearchFilter.BySubHitProperty sf)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD